# Record Class WsHttpSessionBindingListener

java.lang.Object
java.lang.Record
org.apache.tomcat.websocket.server.WsHttpSessionBindingListener

All Implemented Interfaces:
  `HttpSessionBindingListener, Serializable, EventListener`

public record WsHttpSessionBindingListener(String key) extends Record implements HttpSessionBindingListener, Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WsHttpSessionBindingListener(String key)`
Creates an instance of a `WsHttpSessionBindingListener` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`String`
`key()`
Returns the value of the `key` record component.
`final String`
`toString()`
Returns a string representation of this record class.
`void`
`valueUnbound(HttpSessionBindingEvent event)`
Notifies the object that it is being unbound from a session and identifies the session.

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface HttpSessionBindingListener

`valueBound`

## Constructor Details

### WsHttpSessionBindingListener

public WsHttpSessionBindingListener(String key)
Creates an instance of a `WsHttpSessionBindingListener` record class.

Parameters:
  `key` - the value for the `key` record component

## Method Details

### valueUnbound

public void valueUnbound(HttpSessionBindingEvent event)
Description copied from interface: `jakarta.servlet.http.HttpSessionBindingListener`
Notifies the object that it is being unbound from a session and identifies the session. The default implementation is a NO-OP.

Specified by:
  `valueUnbound` in interface `HttpSessionBindingListener`
Parameters:
  `event` - the event that identifies the session
See Also:
  - `HttpSessionBindingListener.valueBound(HttpSessionBindingEvent)`

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### key

public String key()
Returns the value of the `key` record component.

Returns:
  the value of the `key` record component